#include <iostream>
#include <mpi.h>
#include <cstdlib>

using namespace std;

int main(int argc, char* argv[]) {
	int provided;
	MPI_Init_thread(&argc, &argv, MPI_THREAD_FUNNELED, &provided);
	if (argc < 2) {
		MPI_Finalize();
		cerr << "need input file parameter" << endl;
		return -1;
	}
	cout << "Provided threads: " << provided << endl;
	MPI_Finalize();
	return 0;
}
